summaryrefslogtreecommitdiff
path: root/tests/suite
diff options
context:
space:
mode:
authorNikos Mavrogiannopoulos <nmav@gnutls.org>2015-12-20 11:11:38 +0200
committerNikos Mavrogiannopoulos <nmav@gnutls.org>2015-12-20 11:11:38 +0200
commit8229a40c67294e56319c4687c2a19e3d14935418 (patch)
treef33d2ad8c405b2cd43022107bc68902652c4f937 /tests/suite
parentc71a1f2113d02cab604f10189197a0c9755bd03b (diff)
downloadgnutls-8229a40c67294e56319c4687c2a19e3d14935418.tar.gz
tests: added timeout in long-running checks
Diffstat (limited to 'tests/suite')
-rwxr-xr-xtests/suite/testcompat-openssl8
-rwxr-xr-xtests/suite/testcompat-polarssl8
2 files changed, 14 insertions, 2 deletions
diff --git a/tests/suite/testcompat-openssl b/tests/suite/testcompat-openssl
index d7f9cc0e02..76731fca00 100755
--- a/tests/suite/testcompat-openssl
+++ b/tests/suite/testcompat-openssl
@@ -53,4 +53,10 @@ if test "${TSTAMP}" != "1158969600"; then
exit 77
fi
-datefudge "2012-09-2" "${srcdir}/testcompat-main-openssl"
+timeout 3600 datefudge "2012-09-2" "${srcdir}/testcompat-main-openssl"
+ret=$?
+if test $ret = 124;then
+ exit 77
+fi
+
+exit $ret
diff --git a/tests/suite/testcompat-polarssl b/tests/suite/testcompat-polarssl
index c4dfb361e0..6980fe82e2 100755
--- a/tests/suite/testcompat-polarssl
+++ b/tests/suite/testcompat-polarssl
@@ -47,4 +47,10 @@ if test $? = 0; then
exit 77
fi
-datefudge "2012-09-2" "${srcdir}/testcompat-main-polarssl"
+timeout 3600 datefudge "2012-09-2" "${srcdir}/testcompat-main-polarssl"
+ret=$?
+if test $ret = 124;then
+ exit 77
+fi
+
+exit $ret